
From: Jens Axboe <axboe@suse.de>

mm/swapfile.c: In function `sys_swapon':
mm/swapfile.c:1294: warning: `nr_extents' might be used uninitialized in
this function

Signed-off-by: Jens Axboe <axboe@suse.de>
Cc: Hugh Dickins <hugh@veritas.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/swapfile.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swapfile.c~swap-swap-unsigned-int-consistency-warning-fix mm/swapfile.c
--- 25/mm/swapfile.c~swap-swap-unsigned-int-consistency-warning-fix	Mon Aug 29 14:30:34 2005
+++ 25-akpm/mm/swapfile.c	Mon Aug 29 14:30:34 2005
@@ -1277,7 +1277,7 @@ asmlinkage long sys_swapon(const char __
 	union swap_header *swap_header = NULL;
 	int swap_header_version;
 	unsigned int nr_good_pages = 0;
-	int nr_extents;
+	int nr_extents = 0;
 	sector_t span;
 	unsigned long maxpages = 1;
 	int swapfilesize;
_
